package com.nokia.main.config;

import org.springframework.stereotype.Component;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import com.nokia.common.mvc.interceptor.ControllerLogInterceptor;

@Component
public class MvcConfig implements WebMvcConfigurer {
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // 添加拦截器
        registry.addInterceptor(new ControllerLogInterceptor())
                .addPathPatterns(new String[] { "/api/**" })
                .excludePathPatterns(new String[] {});
    }
}
